Start a session
curl --request POST \
--url https://api.deck.co/v2/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deck.co/v2/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deck.co/v2/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"status": "<string>",
"runtime_ms": 123,
"task_runs": [
{
"id": "<string>",
"task_id": "<string>",
"agent_id": "<string>",
"credential_id": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"traceId": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}Sessions
Start a session
Starts a new isolated compute session for executing tasks.
POST
/
sessions
Start a session
Authorizations
Secret key (sk_live_...)
Response
Created
A session object representing an isolated compute session for executing tasks.
Unique identifier for the session, prefixed with sess_.
Always session.
Session status: queued, running, idle, completing, completed, or failed.
Total session runtime in milliseconds.
Task runs executed within this session.
Show child attributes
Show child attributes
ISO 8601 timestamp of when the resource was created.
ISO 8601 timestamp of when the resource was last updated.
Unique identifier for the API request. Include this when contacting support.
Was this page helpful?
⌘I